[3.2] Update von 3.0.14 auf 3.2x

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1638
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon canonknipser » 16.09.2018 18:03

Du entfernst die Datenbankeinträge aller Mods bis auf auf die der Galerie (die willst du ja, wie ich dich verstanden habe, behalten). Du kannst dann zwar unter dem originalen 3.0.14 nicht mehr zugreifen, aber das schadet ja erst mal nichts. Die anderen Mods können sowohl in der Datenbank (das macht der Cleaner) als auch in den Dateien (das passiert beim Überschreiben mit den Originaldateien) problemlos entfernt werden - außer du hast neben der Galrie noch weitere Fälle, in denen du DATEN aus Mods in dein 3.2-Bord übernehmen willst. Dann musst du vorher schauen, ob es in den Beschreibungen zu deinen (zukünftigen) Extensions entsprechende Updatehinweise gibt, wie du da vorgehen musst..

Beim Update auf 3.2 fallen die ja in den Dateien sowie so weg, da musst du dann, falls notwendig, entsprechende Extension nutzen.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

sammy65
Mitglied
Beiträge: 425
Registriert: 04.12.2006 15:09
Wohnort: Pfullendorf
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon sammy65 » 17.09.2018 13:46

OK, ich werde es am WE wieder versuchen......
Dankeschön erst mal.....

sammy65
Mitglied
Beiträge: 425
Registriert: 04.12.2006 15:09
Wohnort: Pfullendorf
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon sammy65 » 24.09.2018 12:58

So hae es zum x-ten Mal versucht.....natürlich erfolglos......
Ich tu mich so unsagbar schwer mit allem......

also ich habe zum x-ten mal ein Backup meines Boards und der DB gemacht.....
Download mit filezilla gemacht und lokal in meiner XAMPPUmgebung eingespielt.....(Verzeichnis htdocs/kaktusforum)

Nun habe ich ein massives Problem mit mysqldumper....wenn ich diesen aufrufen will,dann erscheint jetzt folgende Fehlermeldung:

Code: Alles auswählen

Serverfehler!

Die Anfrage kann nicht beantwortet werden, da im Server ein interner Fehler aufgetreten ist. Der Server ist entweder überlastet oder ein Fehler in einem CGI-Skript ist aufgetreten.

Sofern Sie dies für eine Fehlfunktion des Servers halten, informieren Sie bitte den Webmaster hierüber.


Was ist denn jetzt schon wieder....? Muss ich zur lokalen installationn irgendwas löschen oder umkonfigurieren.....

Bin ein bisschen weiter gekommen.....
Jetzt bekomme ich das, wen ich versuche den MySqlDumper zu starten

Code: Alles auswählen

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in C:\xampp\htdocs\kaktusforum\adm\mysqldumper\inc\mysql.php:251 Stack trace: #0 C:\xampp\htdocs\kaktusforum\adm\mysqldumper\install.php(236): MSD_mysql_connect() #1 {main} thrown in C:\xampp\htdocs\kaktusforum\adm\mysqldumper\inc\mysql.php on line 251

Benutzeravatar
vfrblue
Junior Supporter
Beiträge: 1248
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon vfrblue » 24.09.2018 16:23

Ist das MySQL-Modul auch aktiv (gestartet)? Bei "xampp" müssen das Server-Modul und das MySQL-Modul nacheinander gestartet werden. Auch sollte "xampp" mit Administrator-Rechten ausgeführt werden.
Gruß Hermann

Forum VFR-OC

sammy65
Mitglied
Beiträge: 425
Registriert: 04.12.2006 15:09
Wohnort: Pfullendorf
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon sammy65 » 25.09.2018 08:40

Hi,

Also phpmyadmin kunktioniert, eine Test.html Datei im htdocs-Verzeichnins/kaktusforum funktioniert auch

lg
Thomas

Benutzeravatar
vfrblue
Junior Supporter
Beiträge: 1248
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon vfrblue » 25.09.2018 08:53

Kannst du auch mit phpMyAdmin auf eine Datenbank zugreifen, daß der Inhalt angezeigt wird?
Gruß Hermann

Forum VFR-OC

Benutzeravatar
Mylady
Mitglied
Beiträge: 419
Registriert: 23.02.2009 16:29
Wohnort: Velbert (NRW)
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon Mylady » 25.09.2018 10:07

wenn es dir so schwer fällt, eine Serverumgebung auf dem eigenen PC zum Laufen zu bringen, wäre es vielleicht einen Gedanken wert, stattdessen auf deinem Internetserver eine Subdomain mittels des Verwaltungsprogramms von deinem Anbieter zu erstellen. Und deine Tests dann dort zu fahren. Mit einer eigenen Datenbank und völlig getrennt vom normalen Forum.

Das hätte den Vorteil, dass du dich um die Einrichtung der Umgebung nicht wirklich kümmern musst - bestenfalls musst du irgendwelche Einstellungen auswählen oder abwählen. Und als zweiter Vorteil ist diese Umgebung dann exakt die gleiche, die auch dein Live-Forum hat, also keine unterschiedlichen Hintergrundsysteme.
https://ladyscommunity.de | Deutsche Übersetzungen für Extensionen, z.B. für Extensionen von dmzx oder KillBill (ggf. auf Anfrage)

sammy65
Mitglied
Beiträge: 425
Registriert: 04.12.2006 15:09
Wohnort: Pfullendorf
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon sammy65 » 28.09.2018 08:30

Stimmt.....

Das werde ich jetzt versuchen......

Derzeit läuft bei mir noch PHP 5.6...nach dem Update muss ich auf 7.2 umstellen? Richtig?

Aber dann läuft mein altes Board 3.0.14 nicht mehr?

Benutzeravatar
vfrblue
Junior Supporter
Beiträge: 1248
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon vfrblue » 28.09.2018 09:11

Das alte Forum ist nicht lauffähig unter PHP 7, egal welche Version.
Hast du bei deiner lokalen Testumgebung die config.php des Forums angepasst? Mit den Einstellungen des Live-Forums funktioniert es unter xampp nicht.
Gruß Hermann

Forum VFR-OC

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1638
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.2] Update von 3.0.14 auf 3.2x

Beitragvon canonknipser » 28.09.2018 10:56

3.x2.x läuft auch unter 5.6, außer du willst Erweiterungen nutzen, die zwingend eine höhere PHP-Version verlangen.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC


Zurück zu „Support-Forum“